Subject: Re: [6tisch] Fwd: New Version Notification for draft-tiloca-6tisch-robust-scheduling-00.txt

From: Marco Tiloca <[email-masked]>
Date: Wed, 4 Jul 2018 18:58:45 +0200

Keoma, Pascal,

Thanks a lot for your feedback!

I can also mention that our paper on this topic has been recently
accepted for publication in the ACM Transactions on Sensor Networks. The
manuscript is available at [1].

Best,
/Marco

[1] http://www.iet.unipi.it/g.dini/research/papers/2018-tosn-DISH-tdgdad.pdf

On 2018-06-29 21:34, Pascal Thubert (pthubert) wrote:
> I played with games like that too :)
>
> One option I looked at was to obfuscate the MAC addresses based on ASN
> (http://patft.uspto.gov/netacgi/nph-Parser?Sect1=PTO1&Sect2=HITOFF&d=PALL&p=1&u=/netahtml/srchnum.htm&r=1&f=G&l=50&s1=%279,883,382%27.PN.&OS=PN/9,883,382&RS=PN/9,883,382)
>
> Another was to swap transmissions happening at a same time so an
> attacker who knows the hopping sequence could not interfere with the
> same cell over and over at PHY layer
> (http://patft.uspto.gov/netacgi/nph-Parser?Sect1=PTO1&Sect2=HITOFF&d=PALL&p=1&u=/netahtml/srchnum.htm&r=1&f=G&l=50&s1=%279,673,856%27.PN.&OS=PN/9,673,856&RS=PN/9,673,856)
>
> I also tried to use the channel swapping technique to avoid
> frequencies that are bad for certain pairs (swap around interference)
> but never found the time to dig and publish.
>
> This shows the richness of TSCH I guess : )
>
> Regards,
>
> Pascal
>
> Le 29 juin 2018 à 19:55, Keoma <[email-masked]
> <mailto:[email-masked]>> a écrit :
>
>> Hi,
>>
>> I am very happy to read your draft as I a was recently thinking about
>> building such a jammer.
>>
>> Just being a french chauvinist:
>> randez-vous cells -> rendez-vous cells
>>
>> Thank you,
>>
>> On 6/29/18 6:09 PM, Marco Tiloca wrote:
>>> Hi all,
>>>
>>> We have just submitted a new draft proposing a security solution to
>>> protect 6TiSCH networks from selective jamming.
>>>
>>> Feedback and comments are of course very welcome. Thanks a lot!
>>>
>>> Best,
>>> /Marco
>>>
>>>
>>> -------- Forwarded Message --------
>>> Subject:    New Version Notification for
>>> draft-tiloca-6tisch-robust-scheduling-00.txt
>>> Date:    Fri, 29 Jun 2018 08:55:12 -0700
>>> From:    [email-masked] <mailto:[email-masked]>
>>> To:    Marco Tiloca <[email-masked]
>>> <mailto:[email-masked]>>, Gianluca Dini
>>> <[email-masked] <mailto:[email-masked]>>, Simon
>>> Duquennoy <[email-masked] <mailto:[email-masked]>>
>>>
>>>
>>>
>>> A new version of I-D, draft-tiloca-6tisch-robust-scheduling-00.txt
>>> has been successfully submitted by Marco Tiloca and posted to the
>>> IETF repository.
>>>
>>> Name:        draft-tiloca-6tisch-robust-scheduling
>>> Revision:    00
>>> Title:        Robust scheduling against selective jamming in 6TiSCH
>>> networks
>>> Document date:    2018-06-29
>>> Group:        Individual Submission
>>> Pages:        12
>>> URL:
>>>            https://www.ietf.org/internet-drafts/draft-tiloca-6tisch-robust-scheduling-00.txt
>>> Status:
>>>         https://datatracker.ietf.org/doc/draft-tiloca-6tisch-robust-scheduling/
>>> Htmlized:
>>>       https://tools.ietf.org/html/draft-tiloca-6tisch-robust-scheduling-00
>>> Htmlized:
>>>       https://datatracker.ietf.org/doc/html/draft-tiloca-6tisch-robust-scheduling
>>>
>>>
>>> Abstract:
>>>   This document defines a method to generate robust TSCH schedules in a
>>>   6TiSCH (IPv6 over the TSCH mode of IEEE 802.15.4-2015) network, so as
>>>   to protect network nodes against selective jamming attack.  Network
>>>   nodes independently compute the new schedule at each slotframe, by
>>>   altering the one originally available from 6top or alternative
>>>   protocols, while preserving a consistent and collision-free
>>>   communication pattern.  This method can be added on top of the
>>>   minimal security framework for 6TiSCH.
>>>
>>>
>>>
>>>
>>> Please note that it may take a couple of minutes from the time of
>>> submission
>>> until the htmlized version and diff are available at tools.ietf.org
>>> <http://tools.ietf.org>.
>>>
>>> The IETF Secretariat
>>>
>>>
>>> _______________________________________________
>>> 6tisch mailing list
>>> [email-masked] <mailto:[email-masked]>
>>> https://www.ietf.org/mailman/listinfo/6tisch
>>>
>>
>> _______________________________________________
>> 6tisch mailing list
>> [email-masked] <mailto:[email-masked]>
>> https://www.ietf.org/mailman/listinfo/6tisch

-- 
Marco Tiloca, PhD
Research Institutes of Sweden
RISE ICT/SICS
Isafjordsgatan 22 / Kistagången 16
SE-164 40 Kista (Sweden)
Phone: +46 (0)70 60 46 501
https://www.sics.se

The RISE institutes Innventia, SP and Swedish ICT
have merged in order to become a stronger research
and innovation partner for businesses and society.